This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 581957 - wrong nouveau version loaded
wrong nouveau version loaded
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
14
All Linux
low Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-13 13:20 EDT by FC
Modified: 2013-01-10 00:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 15:57:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description FC 2010-04-13 13:20:35 EDT
Description of problem:

The driver nouveau is charged in wrong version. I preupgrade the Constantine Fedora 12 and it install xorg-x11-drv-nouveau version 0.0.16. but regarding the Xorg log the system try to load the version 0.0.15. I have remove and reinstall but the problem is still the same. 

Version-Release number of selected component (if applicable):
rpm -qa | grep nouveau :
xorg-x11-drv-nouveau-0.0.16-2.20100218git2964702.fc13.x86_64

  
Actual results:
[    34.540] (II) LoadModule: "nouveau"
[    34.541] (II) Loading /usr/lib64/xorg/modules/drivers/nouveau_drv.so
[    34.584] (II) Module nouveau: vendor="X.Org Foundation"
[    34.584]    compiled for 1.7.99.901, module version = 0.0.15
[    34.584]    Module class: X.Org Video Driver
[    34.584]    ABI class: X.Org Video Driver, version 7.0

and Xorg dont work because the 0.0.15 version has a incompatibility problem with libdrm ...
Comment 1 Ben Skeggs 2010-07-13 23:51:43 EDT
All the necessary pieces for nouveau to update are in rawhide (and F13), preupgrade apparently isn't aware of the needed pieces before it tries to reboot.

I'll reassign this to preupgrade, but I'm not certain how this should proceed.
Comment 2 Bug Zapper 2010-07-30 07:19:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2012-08-16 15:57:44 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.